commit:     df5411bd537394982880ad4e1c014b896ee30181
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 08:08:36 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 08:08:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df5411bd

dev-python/coverage: Bump to 5.3.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/coverage/Manifest              |  1 +
 dev-python/coverage/coverage-5.3.1.ebuild | 69 +++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 58828571fd2..1e2551dd0fb 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,2 +1,3 @@
 DIST coverage-4.5.4.tar.gz 385185 BLAKE2B 
9d040bff13cebd1cb7147f15c3ec03bb08648cf801b5b2bb046a6b5bcadb3d3886be8bf0a624d225f25d10a5ca82fe5fb88f55e44e92a0a3285836b837972970
 SHA512 
ba534e04fe35cbadc4b16735f25c08f579a49a6677ec106680f222f2dfb3d0f1e011d0962f1c2108c375173ac4588bea1619ecda05ff9ba6fd888daddfd27b0e
+DIST coverage-5.3.1.tar.gz 684457 BLAKE2B 
82c8e311d85a6f758c46767957199e94099838e3c340f5da1472813a2877293245583cb190acc0139cddf3363ee5f299fb42f955c59912b80d9d1ece8cfb09fa
 SHA512 
981ebc9f9490efe613edd68afdef83cb161b303e6de266335ffd2d1d3634bd5a088cbff249b0243071b55cb4f31b4b0c7537b5764660ccc86a7059307badd571
 DIST coverage-5.3.tar.gz 693632 BLAKE2B 
9daa3a0fd7f8c3ff7c9d68603e11a0a419d3ab50e3c3fb6be5b694aa1f7566040e1212b7175dfa4f71a0a309db325c00f94a85e0e9e755ae8c4f09c499d0daf4
 SHA512 
f40a21c394b1a72118965f702ae2b8e09c4e0b2fe92709aedf1de4c8074cd9c2cae0ed4860fbb863e4e5479f1067ff806d7051f7683d6b324de9945c0cacfc39

diff --git a/dev-python/coverage/coverage-5.3.1.ebuild 
b/dev-python/coverage/coverage-5.3.1.ebuild
new file mode 100644
index 00000000000..d230bee7bae
--- /dev/null
+++ b/dev-python/coverage/coverage-5.3.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="https://coverage.readthedocs.io/en/latest/ 
https://pypi.org/project/coverage/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+#IUSE="test"
+# The tests are impossible to appease.  Please run them externally
+# via tox.  Or fix the ebuild if you have hours of time to spend
+# on something utterly useless.
+RESTRICT="test"
+
+#BDEPEND="
+#      test? (
+#              dev-python/PyContracts[${PYTHON_USEDEP}]
+#              dev-python/flaky[${PYTHON_USEDEP}]
+#              dev-python/hypothesis[${PYTHON_USEDEP}]
+#              dev-python/mock[${PYTHON_USEDEP}]
+#              dev-python/pytest[${PYTHON_USEDEP}]
+#              >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+#      )
+#"
+
+src_prepare() {
+       # avoid the dep on xdist, run tests verbosely
+       sed -i -e '/^addopts/s:-n3:-v:' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_compile() {
+       if [[ ${EPYTHON} == python2.7 ]]; then
+               local CFLAGS="${CFLAGS} -fno-strict-aliasing"
+               export CFLAGS
+       fi
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       distutils_install_for_testing
+       local bindir=${TEST_DIR}/scripts
+
+       pushd tests/eggsrc >/dev/null || die
+       distutils_install_for_testing
+       popd >/dev/null || die
+
+       "${EPYTHON}" igor.py zip_mods || die
+       PATH="${bindir}:${PATH}" "${EPYTHON}" igor.py test_with_tracer py || die
+
+       # No C extensions under pypy
+       if [[ ${EPYTHON} != pypy* ]]; then
+               cp -l -- "${TEST_DIR}"/lib/*/coverage/*.so coverage/ || die
+               PATH="${bindir}:${PATH}" "${EPYTHON}" igor.py test_with_tracer 
c || die
+       fi
+
+       # clean up leftover "egg1" directory
+       rm -rf build/lib/egg1 || die
+}

Reply via email to